# Gaze Detection का उपयोग करें

आप वीडियो में फ़्रेम्स पर gaze detection लागू कर सकते हैं। Roboflow Video Inference API आपको वह डेटा लौटाएगा जिसकी आपको किसी व्यक्ति की देखने की दिशा और वह बिंदु जहाँ वह देख रहा है, की गणना करने के लिए आवश्यकता होती है।

[gaze detection के परिणामों के post-processing के बारे में अधिक जानें](https://blog.roboflow.com/gaze-direction-position/).

### Video Inference API के साथ Gaze Detection का उपयोग करें

सबसे पहले, Roboflow Python package install करें:

```bash
pip install roboflow
```

इसके बाद, एक नई Python file बनाएं और निम्न code जोड़ें:

```python
from roboflow import Roboflow, GazeModel

rf = Roboflow(api_key="API_KEY")
model = GazeModel()

job_id, signed_url, expire_time = model.predict_video(
    "football-video.mp4",
    fps=5,
    prediction_type="batch-video",
)

results = model.poll_until_video_results(job_id)

print(results)
```

ऊपर, इन्हें बदलें:

* `API_KEY`: को अपनी Roboflow API key से
* `PROJECT_NAME`: को अपने Roboflow project ID से।
* `MODEL_ID`: को अपने Roboflow model ID से।

[अपनी API key प्राप्त करने का तरीका जानें](https://docs.roboflow.com/api-reference/authentication#retrieve-an-api-key).

[model ID प्राप्त करने का तरीका जानें](https://docs.roboflow.com/api-reference/workspace-and-project-ids).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-hi/deploy/serverless/video-inference/use-gaze-detection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
